// RunnableExample.java
// Demonstates the usage of thread class that implements the Runnable interface.

public class RunnableExample {
  public static void main(String[] args) {
    ModRun modthread = new ModRun( 8, 3);
    //Start the threads
    new Thread ( modthread ).start();
    try {
	//delay for two second
	Thread.currentThread().sleep(2000);
    } catch (InterruptedException e) {
    }
    //Display info about the main thread
    System.out.println(Thread.currentThread());
  }
}
